/**
  LED_BLINK_EXAMPLE Generated Driver API Source File

  @Company
    Microchip Technology Inc.

  @File Name
    led_blink_example.c

  @Summary
    This is the generated source file for the LED_BLINK_EXAMPLE driver using Board Support Library

  @Description
    This source file provides APIs for driver for LED_BLINK_EXAMPLE.
    Generation Information :
        Product Revision  :  Board Support Library - 2.0.0
        Device            :  PIC18F26K80
    The generated drivers are tested against the following:
        Compiler          :  XC16 v1.50
        MPLAB 	          :  MPLAB X v5.40
*/
/*
    (c) 2016 Microchip Technology Inc. and its subsidiaries. You may use this
    software and any derivatives exclusively with Microchip products.

    THIS SOFTWARE IS SUPPLIED BY MICROCHIP "AS IS". NO WARRANTIES, WHETHER
    EXPRESS, IMPLIED OR STATUTORY, APPLY TO THIS SOFTWARE, INCLUDING ANY IMPLIED
    WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY, AND FITNESS FOR A
    PARTICULAR PURPOSE, OR ITS INTERACTION WITH MICROCHIP PRODUCTS, COMBINATION
    WITH ANY OTHER PRODUCTS, OR USE IN ANY APPLICATION.

    IN NO EVENT WILL MICROCHIP BE LIABLE FOR ANY INDIRECT, SPECIAL, PUNITIVE,
    INCIDENTAL OR CONSEQUENTIAL LOSS, DAMAGE, COST OR EXPENSE OF ANY KIND
    WHATSOEVER RELATED TO THE SOFTWARE, HOWEVER CAUSED, EVEN IF MICROCHIP HAS
    BEEN ADVISED OF THE POSSIBILITY OR THE DAMAGES ARE FORESEEABLE. TO THE
    FULLEST EXTENT ALLOWED BY LAW, MICROCHIP'S TOTAL LIABILITY ON ALL CLAIMS IN
    ANY WAY RELATED TO THIS SOFTWARE WILL NOT EXCEED THE AMOUNT OF FEES, IF ANY,
    THAT YOU HAVE PAID DIRECTLY TO MICROCHIP FOR THIS SOFTWARE.

    MICROCHIP PROVIDES THIS SOFTWARE CONDITIONALLY UPON YOUR ACCEPTANCE OF THESE
    TERMS.
*/

#define FCY 4000000UL 

#include <xc.h>
#include <assert.h>
#include <stdbool.h>
#include <libpic30.h>
#include ".h"
#include "led_blink_example.h"

static volatile bool isToggle = false;
void led_blink_example_Tasks(){

    __delay_ms(500);
    if(isToggle == true)
    {
        _On();
         isToggle = false;
    } 
    else
    {
        _Off();
         isToggle = true;
    }
    
}


/**
 End of File
 */